package com.fjhx.sale.service.ext;

import com.fjhx.sale.entity.ext.dto.ExtQuotationFollowDto;
import com.fjhx.sale.entity.ext.po.ExtQuotationFollow;
import com.fjhx.sale.entity.ext.vo.ExtQuotationFollowVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 对外报价单跟进记录 服务类
 * </p>
 *
 * @author
 * @since 2024-01-14
 */
public interface ExtQuotationFollowService extends BaseService<ExtQuotationFollow> {

    /**
     * 对外报价单跟进记录明细
     */
    ExtQuotationFollowVo detail(Long id);

    /**
     * 对外报价单跟进记录新增
     */
    void add(ExtQuotationFollowDto extQuotationFollowDto);

    /**
     * 对外报价单跟进记录编辑
     */
    void edit(ExtQuotationFollowDto extQuotationFollowDto);

    /**
     * 对外报价单跟进记录删除
     */
    void delete(Long id);

}
